# MDNS

## MDNS Handler

class designate.mdns.handler.RequestHandler(storage, tg)

  Bases: `object`

  property worker_api

## MDNS Service

class designate.mdns.service.Service

  Bases: `Service`

  property dns_application
  property service_name
  start()

    Start a service.

  stop(graceful=True)

    Stop a service.

    Parameters:

      graceful – indicates whether to wait for all threads to finish or terminate them instantly

  property storage

this page last updated: 2026-04-13 15:37:16

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug